#---
# Excerpted from "Rails Test Prescriptions",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/nrtest for more book information.
#---
require "test/unit"
require "rubygems"
gem "selenium-client"
require "selenium/client"

class first_selenium_test < Test::Unit::TestCase

  def setup
    @verification_errors = []
    @selenium = Selenium::Client::Driver.new \
      :host => "localhost",
      :port => 4444,
      :browser => "*chrome",
      :url => "http://0.0.0.0:3000/",
      :timeout_in_second => 60

    @selenium.start_new_browser_session
  end

  
  def teardown
    @selenium.close_current_browser_session
    assert_equal [], @verification_errors
  end
  
  def test_first_selenium_test
    @selenium.open "/status_reports"
    @selenium.click "link=New status_report"
    @selenium.wait_for_page_to_load "30000"
    begin
        assert @selenium.is_element_present("status_report_yesterday")
    rescue Test::Unit::AssertionFailedError
        @verification_errors << $!
    end
    begin
        assert @selenium.is_element_present("status_report_today")
    rescue Test::Unit::AssertionFailedError
        @verification_errors << $!
    end
    @selenium.type "status_report_yesterday", "What I did yesterday"
    @selenium.type "status_report_today", "What I did today"
    @selenium.click "status_report_submit"
    @selenium.wait_for_page_to_load "30000"
    begin
        assert @selenium.is_text_present("What I did yesterday")
    rescue Test::Unit::AssertionFailedError
        @verification_errors << $!
    end
    begin
        assert @selenium.is_text_present("What I did today")
    rescue Test::Unit::AssertionFailedError
        @verification_errors << $!
    end
  end

end
