#---
# Excerpted from "Rails Test Prescriptions",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/nrtest for more book information.
#---
require File.expand_path(File.join(File.dirname(__FILE__), "spec_helper"))

describe "Jasmine command line tool" do
  before :each do
    temp_dir_before
    Dir::chdir @tmp
  end

  after :each do
    temp_dir_after
  end

  it "should create files on init" do
    output = capture_stdout do
      Jasmine::CommandLineTool.new.process ["init"]
    end
    output.should =~ /Jasmine has been installed with example specs./

    my_jasmine_lib = File.expand_path(File.join(@root, "lib"))
    bootstrap = "$:.unshift('#{my_jasmine_lib}')"

    ENV['JASMINE_GEM_PATH'] = "#{@root}/lib"
    ci_output = `rake -E "#{bootstrap}" --trace jasmine:ci`
    ci_output.should =~ (/[1-9][0-9]* examples, 0 failures/)
  end
end