/***
 * Excerpted from "Rails Test Prescriptions",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/nrtest for more book information.
***/
(function($) {
  $(Screw).bind("before", function(){
    $('.it')
      .bind('passed', function(){ 
        java.lang.System.out.print(".");
      })
      .bind('failed', function(e, reason){
        print("\nFAILED: " + BlueRidge.CommandLine.exampleName(this));
        print("          " + reason + "\n");
      });
  });

  $(Screw).bind("after", function(){
    var testCount = $('.passed').length + $('.failed').length;
    var failures = $('.failed').length;
    var elapsedTime = ((new Date() - Screw.suite_start_time)/1000.0);
    
    print("\n")
    print(testCount + ' test(s), ' + failures + ' failure(s)');
    print(elapsedTime.toString() + " seconds elapsed");
    
    if(failures > 0) { java.lang.System.exit(1) };
  });
})(jQuery);
