#---
# Excerpted from "Rails Test Prescriptions",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/nrtest for more book information.
#---
require File.expand_path(File.dirname(__FILE__) + '/../../spec_helper')

describe "/status_reports/edit.html.erb" do
  include StatusReportsHelper

  before(:each) do
    assigns[:status_report] = @status_report = stub_model(StatusReport,
      :new_record? => false,
      :project => 1,
      :user => 1,
      :yesterday => "value for yesterday",
      :today => "value for today"
    )
  end

  it "renders the edit status_report form" do
    render

    response.should have_tag("form[action=#{status_report_path(@status_report)}][method=post]") do
      with_tag('input#status_report_project[name=?]', "status_report[project]")
      with_tag('input#status_report_user[name=?]', "status_report[user]")
      with_tag('textarea#status_report_yesterday[name=?]', "status_report[yesterday]")
      with_tag('textarea#status_report_today[name=?]', "status_report[today]")
    end
  end
end
